Skip to main content

Authentication

We use an API Key to allow access to our API. It has probably already been sent to you by email. If you have not yet received your key, send an email to suporte.caas@qitech.com.br.

The API Key must be sent in the Authorization header of every request.

curl -X POST "https://api.caas.qitech.app/face_recognition/registration" \
-H "Authorization: EXAMPLE_API_KEY" \
-H "Content-Type: application/json"
Attention

You must replace EXAMPLE_API_KEY with the API Key received from support.

SDK integrations

Web and Mobile flows do not use the API Key directly on the device: they use a temporary client_session_key, generated by your backend. That flow is documented in the SDK sections — Web, Android, iOS, React Native and Flutter. If you are integrating with the API only, you do not need the client_session_key.